Bug 29665 - Userspace tools for kernel 5.15 update
Summary: Userspace tools for kernel 5.15 update
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-16 20:46 CET by David Walser
Modified: 2021-11-28 19:20 CET (History)
5 users (show)

See Also:
Source RPM: xfsprogs, btrfs-progs, iw, ipset, strace, ethtool, iproute2, libseccomp, ipt_NETFLOW
CVE:
Status comment:


Attachments

Description David Walser 2021-11-16 20:46:25 CET
Thomas is preparing to upgrade Mageia 8 to the kernel 5.15 branch.

List of other packages that need to be updated/checked for kernel upgrades, updated from Bug 27006 is below, with references to the last time we updated them in a stable release and/or their current status for the 5.15 update.

filesystems:
xfsprogs (Bug 27806)
btrfs-progs (Bug 28168)
aufs-tools (Bug 28167) - ok

userspace tools:
wireguard-tools ( https://git.zx2c4.com/wireguard-tools/log/ ) - done (Bug 29628)
iw (Bug 27417)
ipset (Bug 27894)
strace (Bug 27852)
ethtool (Bug 27923)
iproute2 (Bug 27895)
libseccomp (Bug 27051)

kernel modules:
ipt_NETFLOW (Bug 26844)
broadcom-wl (Bug 27419) - buildability needs checked
dkms-bbswitch (Bug 27064) - buildability needs checked
openafs (Bug 29399) - done
kmod-virtualbox
kmod-xtables-addons/xtables-addons
nvidia* (Bug 27062)
sysdig (Bug 27420) - buildability needs checked
dkms-rtl8192eu (Bug 28795) - done

other:
kernel-firmware (only if free firmwares changed)
kernel-firmware-nonfree/radeon-firmware (Bug 29631) - done
ldetect-lst (Bug 29648)

--------
xfsprogs upstream is only at 5.14.0-rc1 currently (5.13.0 in Cauldron), and strace 5.15 isn't available yet (5.14 in Cauldron), but we could build the latest versions from Cauldron for Mageia 8 now and update later.

btrfs-progs 5.15, ipset 7.15, ethtool 5.15, and iproute2 5.15.0 are already in Cauldron and can be built for Mageia 8.  I just updated iw to 5.16 and libseccomp to 2.5.3 for kernel 5.15 support in Cauldron:
https://git.kernel.org/pub/scm/linux/kernel/git/jberg/iw.git/tag/?h=v5.16
https://github.com/seccomp/libseccomp/releases/tag/v2.5.2
https://github.com/seccomp/libseccomp/releases/tag/v2.5.3

and those can be updated for Mageia 8 too.  The latest ipt_NETFLOW upstream in 2.6 which is in Cauldron and can be updated in Mageia 8 as well.
David Walser 2021-11-16 20:46:35 CET

CC: (none) => tmb

Comment 1 David Walser 2021-11-16 21:09:43 CET
Note that iproute2 can't be built for Mageia 8 until a 5.15 kernel is in updates_testing.

TODO:
- build iproute2 when kernel 5.15 is available in updates_testing
- update xfsprogs and strace to 5.15 when available
- have someone check if broadcom-wl/dkms-bbswitch/sysdig still work
Dave Hodgins 2021-11-16 21:10:31 CET

CC: (none) => davidwhodgins

Comment 2 Thomas Backlund 2021-11-16 21:14:41 CET
I've already verified in Cauldron that nvidia*, broadcom-wl, xtables-addons, virtualbox drivers build against 5.15 series and since we have matching drivers in mga8 those should still work...
Comment 3 Thomas Backlund 2021-11-16 21:18:44 CET
and libafs got fixed for 5.15 in MGASA-2021-0509
Comment 4 David Walser 2021-11-16 22:06:29 CET
(In reply to Thomas Backlund from comment #3)
> and libafs got fixed for 5.15 in MGASA-2021-0509

Yep, I noted that in Comment 0.

(In reply to Thomas Backlund from comment #2)
> I've already verified in Cauldron that nvidia*, broadcom-wl, xtables-addons,
> virtualbox drivers build against 5.15 series and since we have matching
> drivers in mga8 those should still work...

Nice, that just leaves dkms-bbswitch and sysdig to check (both are dkms packages so should be pretty easy to check).
Comment 5 Dave Hodgins 2021-11-16 22:51:04 CET
csysdig segaults as it did previously. The sysdig module builds ok, and the
command does work, so no regressions with it.
Comment 6 David Walser 2021-11-16 22:57:58 CET
Will have to update the reference for xfsprogs when 5.15 is out and add another reference for the strace 5.15 announcement, but otherwise references for now are below (note that iproute2 update isn't actually built yet).

References:
https://git.kernel.org/pub/scm/fs/xfs/xfsprogs-dev.git/tree/doc/CHANGES?id=b42033308360655616fc9bd77678c46bf518b7c8
https://lore.kernel.org/linux-btrfs/20210205112506.4274-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210305133605.13263-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210324192858.19011-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210510145752.19053-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210513135912.7330-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210713124432.28354-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210730141837.30571-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210910145206.986-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20210920162224.27927-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20211008150302.18203-1-dsterba@suse.com/
https://lore.kernel.org/linux-btrfs/20211105172517.15055-1-dsterba@suse.com/
https://git.kernel.org/pub/scm/linux/kernel/git/jberg/iw.git/tag/?h=v5.16
https://ipset.netfilter.org/changelog.html
https://lists.strace.io/pipermail/strace-devel/2021-February/010405.html
https://lists.strace.io/pipermail/strace-devel/2021-April/010516.html
https://lists.strace.io/pipermail/strace-devel/2021-July/010613.html
https://lists.strace.io/pipermail/strace-devel/2021-September/010674.html
https://git.kernel.org/pub/scm/network/ethtool/ethtool.git/tree/NEWS?h=v5.15
https://lore.kernel.org/netdev/20210223195857.3de03c2a@hermes.local/
https://lore.kernel.org/netdev/20210427165946.0bbd8fc0@hermes.local/
https://lore.kernel.org/netdev/20210629113706.4706d3bb@hermes.local/
https://lore.kernel.org/netdev/20210831120452.71325cd8@hermes.local/
https://lore.kernel.org/netdev/20211101164705.6f4f2e41@hermes.local/
https://github.com/seccomp/libseccomp/releases/tag/v2.5.2
https://github.com/seccomp/libseccomp/releases/tag/v2.5.3
https://github.com/aabc/ipt-netflow/releases/tag/v2.6
Comment 7 David Walser 2021-11-16 22:59:56 CET
Assigning to QA to begin preliminary testing.

RPMS (for now):
libxfs-devel-5.13.0-1.mga8
libxfs-static-devel-5.13.0-1.mga8
libxfs1-5.13.0-1.mga8
xfsprogs-5.13.0-1.mga8
libbtrfs-devel-5.15-1.mga8
libbtrfsutil1-5.15-1.mga8
libbtrfs0-5.15-1.mga8
btrfs-progs-5.15-1.mga8
iw-5.16-1.mga8
ipset-7.15-1.mga8
libipset13-7.15-1.mga8
libipset-devel-7.15-1.mga8
strace-5.14-1.mga8
ethtool-5.15-1.mga8
libseccomp2-2.5.3-1.mga8
libseccomp-devel-2.5.3-1.mga8
iptables-NETFLOW-2.6-1.mga8
dkms-ipt_NETFLOW-2.6-1.mga8

from SRPMS:
xfsprogs-5.13.0-1.mga8.src.rpm
btrfs-progs-5.15-1.mga8.src.rpm
iw-5.16-1.mga8.src.rpm
ipset-7.15-1.mga8.src.rpm
strace-5.14-1.mga8.src.rpm
ethtool-5.15-1.mga8.src.rpm
libseccomp-2.5.3-1.mga8.src.rpm
ipt_NETFLOW-2.6-1.mga8.src.rpm

Assignee: bugsquad => qa-bugs

Comment 8 David Walser 2021-11-19 22:51:32 CET
kernel 5.15.3 is in updates_testing, so iproute2 is built now.  Adding...

libiproute2-static-devel-5.15.0-1.mga8
iproute2-doc-5.15.0-1.mga8
iproute2-5.15.0-1.mga8

from iproute2-5.15.0-1.mga8.src.rpm
Comment 9 David Walser 2021-11-20 17:46:49 CET
xfsprogs 5.14.0 is out, packaged by tmb.

Updated reference for that one is:
https://git.kernel.org/pub/scm/fs/xfs/xfsprogs-dev.git/tree/doc/CHANGES?id=604087cabe4dbd56f9bcf0aa6e86662696555476

RPMS:
libxfs-devel-5.14.0-1.mga8
libxfs-static-devel-5.14.0-1.mga8
libxfs1-5.14.0-1.mga8
xfsprogs-5.14.0-1.mga8

from xfsprogs-5.14.0-1.mga8.src.rpm
David Walser 2021-11-22 23:07:30 CET

Blocks: (none) => 29682

Comment 10 Brian Rockwell 2021-11-23 03:44:12 CET
The following 5 packages are going to be installed:

- cpupower-5.15.4-1.mga8.x86_64
- kernel-desktop-5.15.4-1.mga8-1-1.mga8.x86_64
- kernel-desktop-devel-5.15.4-1.mga8-1-1.mga8.x86_64
- kernel-desktop-devel-latest-5.15.4-1.mga8.x86_64
- kernel-desktop-latest-5.15.4-1.mga8.x86_64

CC: (none) => brtians1

Comment 11 Brian Rockwell 2021-11-23 17:31:30 CET
MGA8-64.


The following 2 packages are going to be installed:

- lib64xfs1-5.14.0-1.mga8.x86_64
- xfsprogs-5.14.0-1.mga8.x86_64

105KB of additional disk space will be used.

$ xfs_info /dev/sda6
meta-data=/dev/sda6              isize=256    agcount=4, agsize=88254970 blks
         =                       sectsz=512   attr=2, projid32bit=1
         =                       crc=0        finobt=0, sparse=0, rmapbt=0
         =                       reflink=0    bigtime=0 inobtcount=0

..blah...blah

# xfs_estimate /dev/sda6
/dev/sda6 will take about 4.4 megabytes

without breaking stuff this looks good to me.
Thomas Backlund 2021-11-25 18:20:27 CET

Blocks: 29682 => (none)

Comment 12 Thomas Backlund 2021-11-25 19:45:58 CET
ignore xfsprogs for now... I just realized it failed builds on armv7
Comment 13 David Walser 2021-11-25 19:54:19 CET
That can be fixed later, it's not a primary architecture.
Comment 14 Len Lawrence 2021-11-27 20:02:28 CET
mga8, x86_64
$ uname -r
5.15.4-desktop-1.mga8

Not familiar with all these tools and probably would not recognize a regression.
Installed any missing core packages and then updated the listed packages without xfsprogs using qarepo.  No problems there.

ethtool: referred to bug 25567.
$ ethtool -i enp3s0
driver: r8169
version: 5.15.4-desktop-1.mga8
firmware-version: rtl8168e-3_0.0.4 03/27/12
expansion-rom-version: 
bus-info: 0000:03:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
supports-priv-flags: no

strace:
# strace -o trace.eth0 ethtool -d enp3s0
RealTek RTL8168evl/8111evl registers:
--------------------------------------------------------
0x00: MAC Address                      d8:cb:8a:52:52:b4
0x08: Multicast Address Filter     0x00420040 0x00800080
0x10: Dump Tally Counter Command   0x10c6b000 0x00000001
0x20: Tx Normal Priority Ring Addr 0x1c2a9000 0x00000001
0x28: Tx High Priority Ring Addr   0x00000000 0x00000000
0x30: Flash memory read/write                 0x00000000
[...]
0xE4: Rx Ring Addr                 0x1c2aa000 0x00000001
0xEC: Early Tx threshold                            0x27
0xF0: Func Event                              0x0040003f
0xF4: Func Event Mask                         0x00000000
0xF8: Func Preset State                       0x0003f0ff
0xFC: Func Force Event                        0x00000000

Other than that it is used to configure firewall rules I have no idea what to do with iptables.  'sudo iptables -F` would clear all the rules.
$ sudo iptables -L | grep policy
Chain INPUT (policy DROP)
Chain FORWARD (policy DROP)
Chain OUTPUT (policy DROP)

That is as far as it goes.  Leaving this to somebody more versed in system administration to test properly.

CC: (none) => tarazed25

Comment 15 Len Lawrence 2021-11-27 22:41:31 CET
Noticed that on a reboot the ipt_NETFLOW driver was rebuilt.
Comment 16 Thomas Andrews 2021-11-28 19:20:13 CET
i5-2500, Intel graphics, mga8-64 Plasma system.

(Did not see Comments 12 or 13 until after)

The following 11 packages are going to be installed:

- btrfs-progs-5.15-1.mga8.x86_64
- ethtool-5.15-1.mga8.x86_64
- iproute2-5.15.0-1.mga8.x86_64
- ipset-7.15-1.mga8.x86_64
- iw-5.16-1.mga8.x86_64
- lib64bpf0-5.15.4-1.mga8.x86_64
- lib64btrfs0-5.15-1.mga8.x86_64
- lib64ipset13-7.15-1.mga8.x86_64
- lib64seccomp2-2.5.3-1.mga8.x86_64
- strace-5.14-1.mga8.x86_64
- xfsprogs-5.14.0-1.mga8.x86_64

No installation issues. Like Len, I'm not at all familiar with the use of these tools. I looked at a couple using the "-h" option, and discovered they are complicated enough that that isn't going to change any time soon.

CC: (none) => andrewsfarm


Note You need to log in before you can comment on or make changes to this bug.